Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.properties
Class MissingPropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.jasig.portal.properties.MissingPropertyException

All Implemented Interfaces:
  java.io.Serializable

    public class MissingPropertyException

extends java.lang.RuntimeException

An undeclared (Runtime) exception to be thrown by the PropertiesManager when a property is requested but cannot be found.

Since:
  uPortal 2.4
Version:
  $Revision: 1.4 $ $Date: 2005/04/19 01:19:03 $
Author:
  andrew.petro@yale.edu
See Also:
  Serialized Form

Field Summary
`private boolean` | `alreadyReported` True if a prior MissingPropertyException has been thrown for this missing property by the throwing object if it keeps track.
`private java.lang.String` | `propertyName` The name of the missing property.

Constructor Summary
`MissingPropertyException(java.lang.String propertyName)` Instantiate a MissingPropertyException for a particular missing property.
`MissingPropertyException(java.lang.String propertyName, boolean alreadyReported)` Instantiate a MissingPropertyException for a particular missing property, indicating whether the throwing object has already thrown a MissingPropertyException for this property.
`MissingPropertyException(java.lang.String propertyName, boolean alreadyReported, java.lang.Throwable cause)` Instantiate a MissingPropertyException for a particular missing property, indicating whether the throwing object has already thrown a MissingPropertyException for this property, and supplying an underlying cause.

Method Summary
`java.lang.String` | `getMessage()`
`java.lang.String` | `getPropertyName()` Get the name of the missing property.
`boolean` | `isAlreadyReported()` Has the throwing object already reported (thrown a MissingPropertyException for) this particular missing property.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### propertyName

    private final java.lang.String propertyName

  The name of the missing property.

### alreadyReported

    private final boolean alreadyReported

  True if a prior MissingPropertyException has been thrown for this missing property by the throwing object if it keeps track. False otherwise.

Constructor Detail

### MissingPropertyException

    public MissingPropertyException(java.lang.String propertyName)

  Instantiate a MissingPropertyException for a particular missing property.

  Parameters:
    `propertyName` - - the name of the property the value of which could not be found.

### MissingPropertyException

    public MissingPropertyException(java.lang.String propertyName,
                                    boolean alreadyReported)

  Instantiate a MissingPropertyException for a particular missing property, indicating whether the throwing object has already thrown a MissingPropertyException for this property.

  Parameters:
    `propertyName` - name of missing property
    `alreadyReported` - true if already reported

### MissingPropertyException

    public MissingPropertyException(java.lang.String propertyName,
                                    boolean alreadyReported,
                                    java.lang.Throwable cause)

  Instantiate a MissingPropertyException for a particular missing property, indicating whether the throwing object has already thrown a MissingPropertyException for this property, and supplying an underlying cause.

  Parameters:
    `propertyName` - name of missing property
    `alreadyReported` - true if already reported
    `cause` - underlying cause

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### isAlreadyReported

    public boolean isAlreadyReported()

  Has the throwing object already reported (thrown a MissingPropertyException for) this particular missing property. Objects handling this exception might choose to predicate their logging detail on this property, for instance.

  Returns:
    Returns true this property has already been reported as missing by the throwing object.

### getPropertyName

    public java.lang.String getPropertyName()

  Get the name of the missing property.

  Returns:
    Returns the name of the missing property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD